Bug 739337 - Move X driver config from livesys-late to livesys
Move X driver config from livesys-late to livesys
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: spin-kickstarts (Show other bugs)
16
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Jeroen van Meeuwen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-17 16:22 EDT by Adam Williamson
Modified: 2013-02-13 10:29 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 10:29:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
the patch (3.50 KB, patch)
2011-09-17 16:22 EDT, Adam Williamson
no flags Details | Diff

  None (edit)
Description Adam Williamson 2011-09-17 16:22:12 EDT
Created attachment 523726 [details]
the patch

The X driver override used to be handled with quite a heavy thing which involved invoking system-config-display or some such nonsense, and this is why it needed to be in livesys-late, I guess. Now it's a simple "dump some text in a file" and thus there's no reason for it to be in livesys-late; this patch moves it to livesys. There's no massive benefit to doing this, but it cleans up livesys-late to do just a single thing (launch the installer if a given kernel parameter is patched), which will make it easier to do that single thing right (it's currently broken, and I'll submit a more drastic patch to fix that later).

This patch moves it in both live-base and live-mini.

It comes after the patch from #739334 in my git branch, I don't know if it will fail to apply without that one being applied first.
Comment 1 Fedora End Of Life 2013-01-16 09:27:25 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-13 10:29:52 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.